AmiKit - Your Modern Retro Amiga Experience
 Begin Register Reply Search Statistics Quick Guide  
Online now: Guests - 3
Members - 0
Most users ever online: 717 [7 Feb 2021 09:33]
Guests - 717 / Members - 0
NEWS AmiKit Support Forum / NEWS /  
 

3.2 Classic update

 
 
Page  Page 1 of 2:  1  2  Next »

Author alanwall

Partaker
#1 Posted: 14 May 2021 20:10 
I see that 3.2 is out and wondering if it will work with AmiKit ?
I have 3.9 as the install media for set up Amikit.
Thanks Jan !

Author AmiKit
Admin
#2 Posted: 14 May 2021 20:46 Edited by: AmiKit 
HI Alan,

At the moment, AfA_OS used in AmiKit for Windows, Mac, Linux and Raspberry is not compatible with AmigaOS 3.2, unfortunately. That means no AmiKit with AmigaOS 3.2 until the AfA_OS is fixed.

However, AmiKit for Vampire does not use AfA_OS hence the AmigaOS 3.2 will work. In fact, AmiKit installation on Vampire already supports AmigaOS 3.2 (despite it was last tested with AmigaOS 3.2 beta from last summer while the final version might be quite different - so no guarantee there). The real question is whether the Vampire core is ready for AmigaOS 3.2 too, though.

Author radar103
Partaker
#3 Posted: 16 May 2021 12:54 
Hi Jan,
I have already preordered Amiga OS 3.2 for use with Amikit. Hopefully soon Afa os will be updated to allow this on Amikit.
Do you think this may be possible otherwise I will have to resell os 3.2 im buying?
Many thanks
Stephen

Author AmiKit
Admin
#4 Posted: 16 May 2021 13:47 
Hi Stephen, the AfA_OS is not my program so I have no idea when it gets updated (if ever). But I hope for the best, of course.

Author radar103
Partaker
#5 Posted: 17 May 2021 16:43 
Hi,
Could you not remove afa os from Amikit to make a OS 3.2 version?
If you could I think people will buy!

Author AmiKit
Admin
#6 Posted: 17 May 2021 17:10 
Sorry, but what's wrong with AmiKit installed with AmigaOS 3.1/3.1.4/3.5/3.9/XL ot AF? It's been extensively tested with all those operating systems to make sure it works as expected and delivers you high-end Amiga experience.

What does AmigaOS 3.2 include that you need it so badly? Integrated ADF support? Updated DataTypes system? User interface enhancements? Improved Shell behaviour? Integrated help subsystem? New commands, tools and utilities? You name it. Well, it's ALL been included with AmiKit since 2005...

In fact, AmiKit is a highly integrated environment (you can call it AmigaOS 3.999) rich on all kind of features including those the real AmigaOS never had - like antialiased font supoort or 32bit DualPNG icon support (both provided by AfA_OS).

Author radar103
Partaker
#7 Posted: 17 May 2021 18:00 
Thanks for the helpfull reply

Author radar103
Partaker
#8 Posted: 22 May 2021 23:34 
Hi Jan,
Would I be able to use the Amiga os 3.2 rom and would there be any benefit in using?
Many thanks
Stephen

Author AmiKit
Admin
#9 Posted: 23 May 2021 15:08 
Hi Stephen, you can definitely try it but I doubt there will be any benefits - especially when using with older OS version. Actually, you might risk some incompatibility and hence system instability.

Author jewithers
Partaker
#10 Posted: 15 Jun 2021 17:06 
Over the years since I started with OS1.2 I have always followed a simple rule. Apply updates to the OS immediately and abandon any software that is incompatible. I am not changing that now for Amikit.

It it works great, if not... oh well it was nice while it lasted.

Author AmiKit
Admin
#11 Posted: 16 Jun 2021 00:32 Edited by: AmiKit 
Uh, what a radical approach!

According to that logic I would never play my first and favourite Amiga 500 game ever again - Vroom - as it doesn't work on A1200.

Btw. I wonder why you got stuck with OS 3.x line and haven't upgraded to the OS4? Or perhaps there are some more (hidden) rules behind the simple one you just described above?

Anyway, I have some ideas about AmiKit on OS3.2. Let's see.

Cheers!
Jan

Author fehmi
Partaker
#12 Posted: 16 Jun 2021 00:37 
jewithers:
Over the years since I started with OS1.2 I have always followed a simple rule. Apply updates to the OS immediately and abandon any software that is incompatible. I am not changing that now for Amikit.

It it works great, if not... oh well it was nice while it lasted.

Not really questioning your reasoning but does lack of support for 3.2 really ruin your AmiKit experience? This is an emulated environment after all; you may install any other OS, including 3.2, without conflicting with existing HDFs.

Author jewithers
Partaker
#13 Posted: 16 Jun 2021 17:08 
fehmi

I am not running in emulation. I am using an A1200 with a Vampire V2.

I rarely ever use emulation since I have actual hardware.

Author jewithers
Partaker
#14 Posted: 16 Jun 2021 17:12 
jewithers

To you question. The answer is, YES, it does.

Author AmiKit
Admin
#15 Posted: 16 Jun 2021 17:29 
jewithers:
I am using an A1200 with a Vampire V2.

Did you know that you can install AmiKit on Vampire with AmigaOS 3.2? It works 100% and it is rock stable.
See AmiKit website and QuickGuide for more information and install instructions: https://www.amikit.amiga.sk/vampire

Page  Page 1 of 2:  1  2  Next » 
NEWS AmiKit Support Forum / NEWS /
 3.2 Classic update

Your Reply Click this icon to move up to the quoted message


 ?
Only registered users are allowed to post here. Please, enter your username/password details upon posting a message, or register first.

 

 
 
AmiKit Support Forum Powered by Forum Script miniBB ®
 ⇑